/*
  Java Japanese-English dictionary/Kanjidic browser
  Copyright (C) 1997 Todd David Rudick

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

// CopyLeft viewer panel

import java.awt.*;
import java.io.*;
import java.awt.event.*;

public class CopyLeft extends Panel {
  public CopyLeft(String IntroText, Button MenuButton) {
    setLayout(new BorderLayout());
    TextArea ta = new TextArea();
    ta.setEditable(false);
    try {
      FileReader fr = new FileReader("COPYING");
      BufferedReader br = new BufferedReader(fr);
      String line = IntroText;
      while (line!=null) {
	ta.append(line+"\n");
	line=br.readLine();
      }
    } catch (Exception e) {
      System.out.println("Could not load file: COPYING");
      System.out.println("This distribution is broken--exiting");
      System.exit(1);
    }
    add(ta,"Center");
    Panel tp = new Panel(new BorderLayout());
    add(tp,"South");
    Panel tp2 = new Panel(new BorderLayout());
    tp.add(tp2,"East");
    tp2.add(MenuButton);
  }

  public static void main(String[] args) {
    Frame f = new Frame("Test");
    Button b = new Button("Quit");
    CopyLeft cl = new CopyLeft("This is a test",b);
    f.add(cl);
    f.pack();
    f.show();
  }
}
